Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.execution
Class ProjectDefaultsBuildExecuter

    java.lang.Object
      org.gradle.execution.DelegatingBuildExecuter
          org.gradle.execution.ProjectDefaultsBuildExecuter

All Implemented Interfaces:
  BuildExecuter

    public class ProjectDefaultsBuildExecuter

extends DelegatingBuildExecuter

A `BuildExecuter` which selects the default tasks for a project.

Constructor Summary
`ProjectDefaultsBuildExecuter()`

Method Summary
`java.lang.String` | `getDisplayName()` Returns the description of this executer.
`void` | `select(Project project)` Selects the tasks to execute, if any.

Methods inherited from class org.gradle.execution.DelegatingBuildExecuter
`execute, getDelegate, setDelegate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectDefaultsBuildExecuter

    public ProjectDefaultsBuildExecuter()

Method Detail

### select

    public void select(Project project)

  Description copied from interface: `BuildExecuter`
  Selects the tasks to execute, if any. This method is called before any other methods on this executer.

  Specified by:
    `select` in interface `BuildExecuter`
  Overrides:
    `select` in class `DelegatingBuildExecuter`

### getDisplayName

    public java.lang.String getDisplayName()

  Description copied from interface: `BuildExecuter`
  Returns the description of this executer. The result is used for log and error messages. Called after `BuildExecuter.select(org.gradle.api.Project)`.

  Specified by:
    `getDisplayName` in interface `BuildExecuter`
  Overrides:
    `getDisplayName` in class `DelegatingBuildExecuter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD